### Property

# Adw Squeezer:transition-type

deprecated: 1.4 since: 1

#### Declaration

    property transition-type: Adw.SqueezerTransitionType [ read, write ]

#### Description [src]

The type of animation used for transitions between children.

Type: | `AdwSqueezerTransitionType`
Available since: | 1
Deprecated since: | 1.4
See the migration guide

Default value | ADW_SQUEEZER_TRANSITION_TYPE_NONE
Getter method | `adw_squeezer_get_transition_type()`
Setter method | `adw_squeezer_set_transition_type()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no